<?xml version="1.0"?>

<PropertyList>

  <path>MiG-15bis-Altimeter.ac</path> 

  <effect>
    <inherits-from>Effects/model-transparent</inherits-from>
    <object-name>ALT_Glass</object-name>
  </effect>

  <animation>
    <type>rotate</type>
    <object-name>Alt_NX10</object-name>
    <property>fdm/jsbsim/systems/instr/VD-17/gauge/altitude-m</property>
    <factor>0.36</factor>
    <center>
      <x-m>0</x-m>
      <y-m>0</y-m>
      <z-m>0</z-m>
    </center>
    <axis>
      <x>-1</x>
      <y>0</y>
      <z>0</z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>Alt_NX100</object-name>
    <property>fdm/jsbsim/systems/instr/VD-17/gauge/altitude-m</property>
    <factor>0.036</factor>
    <center>
      <x-m>0</x-m>
      <y-m>0</y-m>
      <z-m>0</z-m>
    </center>
    <axis>
      <x>-1</x>
      <y>0</y>
      <z>0</z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>Alt_Corplate</object-name>
    <property>fdm/jsbsim/systems/instr/VD-17/pot/pressure-mmHg</property>
    <factor>3.0</factor>
    <offset-deg>-2280.0</offset-deg>
    <center>
      <x-m>0</x-m>
      <y-m>0</y-m>
      <z-m>0</z-m>
    </center>
    <axis>
      <x>1</x>
      <y>0</y>
      <z>0</z>
    </axis>
  </animation>

  <animation>
    <type>knob</type>
    <object-name>Alt_Vern</object-name>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>fdm/jsbsim/systems/instr/VD-17/pot/pressure-mmHg</property>
        <factor>1</factor>
        <min>700.0</min>
        <max>820.0</max>
        <wrap>false</wrap>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <label>Altimeter: %3d mmHg</label>
        <tooltip-id>Alt_Vern</tooltip-id>
        <property>fdm/jsbsim/systems/instr/VD-17/pot/pressure-mmHg</property>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>material</type>
    <object-name>Alt_Bezel</object-name>
    <object-name>Alt_Up</object-name>
    <object-name>Alt_Down</object-name>
    <emission>
      <red-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_r-norm</red-prop>
      <green-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_g-norm</green-prop>
      <blue-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_b-norm</blue-prop>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>Alt_Vern</object-name>
    <emission>
      <factor>0.8</factor>
      <red-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_r-norm</red-prop>
      <green-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_g-norm</green-prop>
      <blue-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_b-norm</blue-prop>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>Alt_NX10</object-name>
    <object-name>Alt_NX100</object-name>
    <object-name>Alt_Foreplate</object-name>
    <object-name>Alt_Corplate</object-name>
    <emission>
      <red-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_r-norm</red-prop>
      <green-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_g-norm</green-prop>
      <blue-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_b-norm</blue-prop>
    </emission>
  </animation>

</PropertyList> 
